## eclipse-cdt 3.1.2

=== results/plugins/org.eclipse.cdt.core.macosx/library/Makefile ===
# makefile for libspawner.so
# See http://developer.apple.com/documentation/Java/Conceptual/Java141Development/Core_APIs/chapter_6_section_4.html

JAVA_HOME = /Library/Java/Home
ifeq ($(JAVA_HOME),)
$(warning JAVA_HOME not set in environment)
endif

# Defaults which can be overridden.
OS = macosx
ARCH = ppc

JDK_INCLUDES= $(JAVA_HOME)/include

CC=gcc
LD=libtool
CPPFLAGS = -I. -I$(JDK_INCLUDES) #-I$(JDK_OS_INCLUDES)
CFLAGS +=-fPIC -D_REENTRANT

INSTALL_DIR = ../os/$(OS)/$(ARCH)

LIB_NAME_SPAWNER = libspawner.dylib
LIB_NAME_FULL_SPAWNER = $(INSTALL_DIR)/libspawner.jnilib
OBJS_SPAWNER=spawner.o io.o exec_unix.o exec_pty.o openpty.o pfind.o

LIB_NAME_PTY = libpty.so
LIB_NAME_FULL_PTY = $(INSTALL_DIR)/libpty.jnilib
OBJS_PTY= openpty.o pty.o ptyio.o

OBJS = $(OBJS_SPAWNER) $(OBJS_PTY)

all: $(LIB_NAME_FULL_SPAWNER) $(LIB_NAME_FULL_PTY)

rebuild: clean all

$(LIB_NAME_FULL_SPAWNER) : $(OBJS_SPAWNER)
	mkdir -p $(INSTALL_DIR)
	$(CC) -dynamiclib -o $(LIB_NAME_FULL_SPAWNER) $(OBJS_SPAWNER) -lc -framework JavaVM

$(LIB_NAME_FULL_PTY): $(OBJS_PTY)
	mkdir -p $(INSTALL_DIR)
	$(CC) -dynamiclib -o $(LIB_NAME_FULL_PTY) $(OBJS_PTY) -lc -framework JavaVM

clean :
	$(RM) $(OBJS_SPAWNER) $(LIB_NAME_FULL_SPAWNER)
	$(RM) $(OBJS_PTY) $(LIB_NAME_FULL_PTY)

## eclipse-cdt 6.0.2

=== results/plugins/org.eclipse.cdt.core.macosx/library/Makefile ===
# makefile for libspawner.so
# See http://developer.apple.com/documentation/Java/Conceptual/Java141Development/Core_APIs/chapter_6_section_4.html

JAVA_HOME = /Library/Java/Home
ifeq ($(JAVA_HOME),)
$(warning JAVA_HOME not set in environment)
endif

# Defaults which can be overridden.
OS = macosx
ARCH_PPC = ppc
ARCH_X86 = x86

JDK_INCLUDES= $(JAVA_HOME)/include

CC=gcc
LD=libtool
CPPFLAGS = -I. -I$(JDK_INCLUDES) #-I$(JDK_OS_INCLUDES)
CFLAGS +=-fPIC -D_REENTRANT

ARCH_FLAG_PPC = -arch ppc
ARCH_FLAG_X86 = -arch i386

INSTALL_DIR_PPC = ../os/$(OS)/$(ARCH_PPC)
INSTALL_DIR_X86 = ../os/$(OS)/$(ARCH_X86)

LIB_NAME_SPAWNER = libspawner.dylib
LIB_NAME_FULL_SPAWNER_PPC = $(INSTALL_DIR_PPC)/libspawner.jnilib
LIB_NAME_FULL_SPAWNER_X86 = $(INSTALL_DIR_X86)/libspawner.jnilib
OBJS_SPAWNER_PPC = spawner_$(ARCH_PPC).o \
                   io_$(ARCH_PPC).o \
                   exec_unix_$(ARCH_PPC).o \
                   exec_pty_$(ARCH_PPC).o \
                   openpty_$(ARCH_PPC).o \
                   pfind_$(ARCH_PPC).o
OBJS_SPAWNER_X86 = spawner_$(ARCH_X86).o \
                   io_$(ARCH_X86).o \
                   exec_unix_$(ARCH_X86).o \
                   exec_pty_$(ARCH_X86).o \
                   openpty_$(ARCH_X86).o \
                   pfind_$(ARCH_X86).o

LIB_NAME_PTY = libpty.so
LIB_NAME_FULL_PTY_PPC = $(INSTALL_DIR_PPC)/libpty.jnilib
LIB_NAME_FULL_PTY_X86 = $(INSTALL_DIR_X86)/libpty.jnilib
OBJS_PTY_PPC = openpty_$(ARCH_PPC).o pty_$(ARCH_PPC).o ptyio_$(ARCH_PPC).o
OBJS_PTY_X86 = openpty_$(ARCH_X86).o pty_$(ARCH_X86).o ptyio_$(ARCH_X86).o

OBJS_PPC = $(OBJS_SPAWNER_PPC) $(OBJS_PTY_PPC)
OBJS_X86 = $(OBJS_SPAWNER_X86) $(OBJS_PTY_X86)

all: ppc x86

ppc: $(LIB_NAME_FULL_SPAWNER_PPC) $(LIB_NAME_FULL_PTY_PPC)

x86: $(LIB_NAME_FULL_SPAWNER_X86) $(LIB_NAME_FULL_PTY_X86)

rebuild: clean all

$(LIB_NAME_FULL_SPAWNER_PPC) : $(OBJS_SPAWNER_PPC)
	mkdir -p $(INSTALL_DIR_PPC)
	$(CC) -dynamiclib $(ARCH_FLAG_PPC) -o $(LIB_NAME_FULL_SPAWNER_PPC) $(OBJS_SPAWNER_PPC) -lc -framework JavaVM

$(LIB_NAME_FULL_SPAWNER_X86) : $(OBJS_SPAWNER_X86)
	mkdir -p $(INSTALL_DIR_X86)
	$(CC) -dynamiclib $(ARCH_FLAG_X86) -o $(LIB_NAME_FULL_SPAWNER_X86) $(OBJS_SPAWNER_X86) -lc -framework JavaVM

$(LIB_NAME_FULL_PTY_PPC): $(OBJS_PTY_PPC)
	mkdir -p $(INSTALL_DIR_PPC)
	$(CC) -dynamiclib  $(ARCH_FLAG_PPC) -o $(LIB_NAME_FULL_PTY_PPC) $(OBJS_PTY_PPC) -lc -framework JavaVM

$(LIB_NAME_FULL_PTY_X86): $(OBJS_PTY_X86)
	mkdir -p $(INSTALL_DIR_X86)
	$(CC) -dynamiclib  $(ARCH_FLAG_X86) -o $(LIB_NAME_FULL_PTY_X86) $(OBJS_PTY_X86) -lc -framework JavaVM

spawner_$(ARCH_PPC).o: spawner.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ spawner.c

io_$(ARCH_PPC).o: io.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ io.c

exec_unix_$(ARCH_PPC).o: exec_unix.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ exec_unix.c

exec_pty_$(ARCH_PPC).o: exec_pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ exec_pty.c

openpty_$(ARCH_PPC).o: openpty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ openpty.c

pfind_$(ARCH_PPC).o: pfind.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ pfind.c

openpty_$(ARCH_PPC).o: openpty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ openpty.c

pty_$(ARCH_PPC).o: pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ pty.c

ptyio_$(ARCH_PPC).o: ptyio.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ ptyio.c

spawner_$(ARCH_X86).o: spawner.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ spawner.c

io_$(ARCH_X86).o: io.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ io.c

exec_unix_$(ARCH_X86).o: exec_unix.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ exec_unix.c

exec_pty_$(ARCH_X86).o: exec_pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ exec_pty.c

openpty_$(ARCH_X86).o: openpty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ openpty.c

pfind_$(ARCH_X86).o: pfind.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ pfind.c

openpty_$(ARCH_X86).o: openpty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ openpty.c

pty_$(ARCH_X86).o: pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ pty.c

ptyio_$(ARCH_X86).o: ptyio.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ ptyio.c

clean :
	$(RM) $(OBJS_PPC) $(LIB_NAME_FULL_SPAWNER_PPC) $(LIB_NAME_FULL_SPAWNER_X86)
	$(RM) $(OBJS_X86) $(LIB_NAME_FULL_PTY_PPC) $(LIB_NAME_FULL_PTY_X86)

=== debian/changelog ===
eclipse-cdt (6.0.2-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Niels Thykier <niels@thykier.net>  Tue, 15 Feb 2011 15:36:39 +0100

eclipse-cdt (6.0.2-1) unstable; urgency=low

  * New upstream release.
    - eclipse-cdt no longer quits when looking up a declaration.
      (Closes: #348393)
    - Works with current eclipse in Debian, provided that you are not
      affected by #587657 (See the bug or the NEWS file in
      eclipse-platform for more information on hold to deal with #597657).
      (Closes: #574611)
    - Upgraded to newest (possible) version with the current eclipse
      in Debian. (Closes: #441313, LP: #163739, #446131)
  * Fixed the build system. (Closes: #542977, #596851)
  * New maintainers (Closes: #555663)
  * Bumped Standards-Version to 3.9.1.
  * Converted to 3.0 (quilt) source format.

 -- Niels Thykier <niels@thykier.net>  Fri, 08 Oct 2010 10:39:04 +0200

eclipse-cdt (3.1.2-3) unstable; urgency=low

  * New patch, eclipse-cdt-build-on-sparc-s390.patch to build eclipse-cdt on
    sparc and s390 arches. Thanks to Martin Zobel-Helas for the bug report
    and to Michael Koch for the hint on how to fix this. Closes: #478900.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 11 May 2008 09:49:02 +0000

eclipse-cdt (3.1.2-2) unstable; urgency=low

  * Bump Standards-Version: to 3.7.3. No changes needed.
  * Add missing ${shlibs:Depends} to eclipse-cdt package. Thanks to Niko Tyni
    for reporting this.
  * Build-Depends: on default-jdk-builddep. Closes: #477860.
  * eclipse-cdt Build-Conflicts: with itself.

 -- Thomas Girard <thomas.g.girard@free.fr>  Thu, 01 May 2008 16:08:12 +0200

eclipse-cdt (3.1.2-1) unstable; urgency=low

  * New upstream release, resynched with Fedora:
    o refresh the patches
    o do not ship cppunit and autotools plugins yet
  * Add myself to the uploaders field.
  * Bump debhelper compat level to 5, and adapt build-dependency accordingly.
  * Fix DEB_HOST_ARCH logic in debian/rules.
  * Adjust eclipse-cdt dependencies:
    o switch from eclipse-pde to eclipse-platform (Closes: #385350)
    o add gcc and make, as eclipse-cdt is pretty useless without them
    o suggest g++

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 17 Jun 2007 19:41:02 +0000

eclipse-cdt (3.1.1-1) unstable; urgency=medium

  * Merge changes from Ubuntu.
    - works with eclipse-3.2.1. Closes: #402003.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Jan 2007 22:03:26 +0100

eclipse-cdt (3.1.1-0ubuntu2) feisty; urgency=low

  * added bzip2 to build dependencies

 -- Vladimír Lapáček <vladimir.lapacek@gmail.com>  Sat,  6 Jan 2007 08:41:53 +0100

eclipse-cdt (3.1.1-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Updated to use Eclipse 3.2.1

 -- Vladimír Lapáček <vladimir.lapacek@gmail.com>  Wed,  6 Dec 2006 22:58:10 +0100

eclipse-cdt (3.0.1-3) unstable; urgency=low

  * debian/rules: Adjusted for current eclipse (Closes: #345371).
  * Updated Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Thu, 22 Jun 2006 09:36:48 +0000

eclipse-cdt (3.0.1-2) unstable; urgency=low

  * debian/control: Make eclipse-cdt Depends on exuberant-ctags | ctags
    and fixed package decription.
  * debian/control: Added Build-Depends on java-gcj-compat-dev
    (Closes: #345371).

 -- Michael Koch <konqueror@gmx.de>  Sun,  1 Jan 2006 12:59:27 +0000

eclipse-cdt (3.0.1-1) unstable; urgency=low

  [ Michael Koch ]
  * Initial Version (Closes: #195236, #284911).

  [ Stephan Michels ]
  * debian/control: Changed the dependency from eclipse-sdk to eclipse.
    Updated the description.
  * debian/rules: Use variable for the name of the releng plugin.
  * debian/rules: Use -DskipFetch=true instead of -DdontFetchAnything=true.
  * debian/rules: Define property "config" in rules instead of using
    patches to change the properties files.
  * debian/copyright: Updated copyright from CPL to EPL
  * debian/rules: Add patch for disable the logging to a file
    for the javadoc generation.

 -- Stephan Michels <stephan@apache.org>  Wed, 21 Dec 2005 16:58:32 +0100

=== debian/control ===
Source: eclipse-cdt
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               default-jdk,
               eclipse-pde (>= 3.5.2),
               eclipse-rse,
               javahelper (>= 0.32~),
               libcommons-codec-java (>= 1.4-2),
               libcommons-httpclient-java (>= 3.1-9),
               libcommons-lang-java,
               unzip,
               zip
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-java/eclipse-cdt.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse-cdt.git
Homepage: http://www.eclipse.org/cdt/

Package: eclipse-cdt
Architecture: any
Depends: eclipse-platform (>= 3.5.2),
         exuberant-ctags | ctags,
         gcc,
         make,
         ${misc:Depends},
         ${orbit:Depends},
         ${shlibs:Depends}
Suggests: g++
Description: C/C++ Development Tools for Eclipse
 The eclipse-cdt package contains Eclipse features and plugins that are
 useful for C and C++ development.
 .
 The current release function includes:
  * C/C++ Editor (basic functionality, syntax highlighting, code completion,
    etc.)
  * C/C++ Debugger (APIs & Default implementation, using GDB)
  * C/C++ Launcher (APIs & Default implementation, launches and external
    application)
  * Parser
  * Search Engine
  * Content Assist Provider
  * Makefile generator

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME:=/usr/lib/jvm/default-java
BUILD_ID:=201002161416

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386 i486 i586 i686))
	ECLIPSE_BUILD_ARCH=x86
endif
ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),arm))
	ECLIPSE_BUILD_ARCH=arm
endif
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
	ECLIPSE_BUILD_ARCH=x86_64
endif
ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),mips))
	ECLIPSE_BUILD_ARCH=$(DEB_HOST_ARCH)
endif
ifneq (,$(filter $(DEB_HOST_ARCH_CPU),parisc parisc64))
	ECLIPSE_BUILD_ARCH=PA_RISC
endif
ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
	ECLIPSE_BUILD_ARCH=ppc
endif
ifeq ($(ECLIPSE_BUILD_ARCH),)
	ECLIPSE_BUILD_ARCH=$(DEB_HOST_ARCH_CPU)
endif

BUILD_DIR:=debian/.eclipse-build

%:
	dh $@ --with eclipse-helper

override_dh_auto_clean:
	# Do not use the auto-clean with ant.
override_dh_auto_build:
	# Do not use the auto-build with ant.

override_jh_compilefeatures:
	cd $(BUILD_DIR)/results/plugins/org.eclipse.cdt.core.linux/library && \
		make JAVA_HOME="$(JAVA_HOME)" ARCH=$(ECLIPSE_BUILD_ARCH) CC='gcc -D_GNU_SOURCE' CFLAGS="$(CFLAGS) -fPIC" LDFLAGS="$(LDFLAGS) -fPIC"
	jh_compilefeatures --build-opts="-DjavacTarget=1.5 -DjavacSource=1.5 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";

override_dh_install:
	dh_install -peclipse-cdt $(BUILD_DIR)/results/plugins/org.eclipse.cdt.core.linux.$(ECLIPSE_BUILD_ARCH)/os/linux/$(ECLIPSE_BUILD_ARCH)/*.so usr/lib/jni/
	dh_install --remaining-packages

override_jh_installeclipse:
	jh_installeclipse
	rm -fr debian/eclipse-cdt/usr/lib/eclipse/dropins/cdt/eclipse/plugins/org.eclipse.cdt.platform.source_*/src/org.eclipse.cdt.ui_*/about_files/
	cd debian/eclipse-cdt/usr && \
		find lib/ -type f \( -name '*.bmp' -o -name '*.gif' -o -name '*.jpg' -o -name '*.png' \) | perl ../../../debian/imagemv.pl

get-orig-source:
	debian/fetch-cdt.sh

=== debian/watch ===
version=3
# http://www.eclipse.org/cdt/downloads.php
ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/tools/cdt/releases/galileo/dist/cdt-master-([\d\.]*)\.zip \
  debian debian/fetch-cdt.sh

## eclipse-cdt 8.0.1

=== debian/changelog ===
eclipse-cdt (8.0.1-1) unstable; urgency=low

  * New upstream release.
  * Split the JNI packages into a separate architecture dependent
    package and made eclipse-cdt architecture independent.
  * Install JNI libraries into multiarch aware location
  * Bumped Standards-Version to 3.9.2.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 06 Oct 2011 21:15:04 +0200

=== debian/control ===
Source: eclipse-cdt
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
           Benjamin Drung <bdrung@debian.org>,
           Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: debhelper (>= 8~),
               default-jdk,
               eclipse-pde (>= 3.7~exp),
               eclipse-rse,
               javahelper (>= 0.32~),
               unzip,
               zip
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-java/eclipse-cdt.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse-cdt.git
Homepage: http://www.eclipse.org/cdt/

Package: eclipse-cdt
Architecture: all
Depends: eclipse-platform (>= 3.7~exp),
         eclipse-rse,
         eclipse-cdt-jni (>= ${source:Version}),
         gcc,
         make,
         ${misc:Depends},
         ${orbit:Depends}
Suggests: g++
Description: C/C++ Development Tools for Eclipse
 The eclipse-cdt package contains Eclipse features and plugins that are
 useful for C and C++ development.
 .
 The current release function includes:
  * C/C++ Editor (basic functionality, syntax highlighting, code completion,
    etc.)
  * C/C++ Debugger (APIs & Default implementation, using GDB)
  * C/C++ Launcher (APIs & Default implementation, launches and external
    application)
  * Parser
  * Search Engine
  * Content Assist Provider
  * Makefile generator

Package: eclipse-cdt-jni
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C/C++ Development Tools for Eclipse (JNI)
 The eclipse-cdt package contains Eclipse features and plugins that are
 useful for C and C++ development.
 .
 The current release function includes:
  * C/C++ Editor (basic functionality, syntax highlighting, code completion,
    etc.)
  * C/C++ Debugger (APIs & Default implementation, using GDB)
  * C/C++ Launcher (APIs & Default implementation, launches and external
    application)
  * Parser
  * Search Engine
  * Content Assist Provider
  * Makefile generator
 .
 This package contains architecture specific JNI libraries

## eclipse-cdt 8.0.2

=== debian/changelog ===
eclipse-cdt (8.0.2-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.9.3.
  * Increased debhelper compatibility to level 9.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 28 Feb 2012 17:34:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: eclipse-cdt
-Section: java
+Section: devel
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
-           Benjamin Drung <bdrung@debian.org>,
            Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: debhelper (>= 8~),
+Build-Depends: debhelper (>= 9~),
                default-jdk,
                eclipse-pde (>= 3.7~exp),
                eclipse-rse,
                javahelper (>= 0.32~),
                unzip,
                zip
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-java/eclipse-cdt.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse-cdt.git
 Homepage: http://www.eclipse.org/cdt/

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME:=/usr/lib/jvm/default-java
BUILD_ID:=dist

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386 i486 i586 i686))
	ECLIPSE_BUILD_ARCH=x86
endif
ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),arm))
	ECLIPSE_BUILD_ARCH=arm
endif
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
	ECLIPSE_BUILD_ARCH=x86_64
endif
ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),mips))
	ECLIPSE_BUILD_ARCH=$(DEB_HOST_ARCH)
endif
ifneq (,$(filter $(DEB_HOST_ARCH_CPU),parisc parisc64))
	ECLIPSE_BUILD_ARCH=PA_RISC
endif
ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
	ECLIPSE_BUILD_ARCH=ppc
endif
ifeq ($(ECLIPSE_BUILD_ARCH),)
	ECLIPSE_BUILD_ARCH=$(DEB_HOST_ARCH_CPU)
endif

BUILD_DIR:=debian/.eclipse-build

.PHONY: build

build %:
	dh $@ --with eclipse-helper

override_dh_auto_clean:
	# Do not use the auto-clean with ant.
override_dh_auto_build:
	# Do not use the auto-build with ant.

override_jh_compilefeatures:
	cd $(BUILD_DIR)/org.eclipse.cdt.core.linux/library && \
		make JAVA_HOME="$(JAVA_HOME)" ARCH=$(ECLIPSE_BUILD_ARCH) CC='gcc -D_GNU_SOURCE' CFLAGS="$(CFLAGS) -fPIC" LDFLAGS="$(LDFLAGS) -fPIC"
	jh_compilefeatures --build-opts="-DjavacTarget=1.5 -DjavacSource=1.5 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";

jnidir := /usr/lib/$(DEB_HOST_MULTIARCH)/jni
override_dh_install:
	dh_install -peclipse-cdt-jni $(BUILD_DIR)/org.eclipse.cdt.core.linux.$(ECLIPSE_BUILD_ARCH)/os/linux/$(ECLIPSE_BUILD_ARCH)/*.so $(jnidir)
	dh_install --remaining-packages

override_jh_installeclipse:
	jh_installeclipse
	rm -f debian/eclipse-cdt/usr/share/eclipse/dropins/cdt/eclipse/plugins/org.eclipse.cdt.launch.remote.source*.jar

get-orig-source:
	debian/fetch-cdt.sh

=== debian/watch ===
version=3
# http://www.eclipse.org/cdt/downloads.php
ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/tools/cdt/releases/indigo/dist/cdt-master-([\d\.]*)\.zip \
  debian debian/fetch-cdt.sh

## eclipse-cdt 8.1.0+dfsg

=== dsf-gdb/org.eclipse.cdt.tests.dsf.gdb/data/launch/src/Makefile ===
src = $(wildcard *.cc *.c)
destDir = ../bin
GCCFLAGS = -gdwarf-2 -pthread -m32

all:
	@mkdir -p $(destDir)
# Name the target with an .exe extension so that CVS does not
# include it when making a patch
	@for file in $(src) ; \
	do \
		target=`basename $$file .c` ; \
		target=`basename $$target .cc` ; \
		g++ $(GCCFLAGS) $$file -o $(destDir)/$$target.exe ; \
	done
# Now generate the core file that we need for the post-mortem core-file tests
	@gdb --nx --batch -ex "b testLocals" -ex run -ex "next 16" -ex "gcore ../bin/core" \
	../bin/ExpressionTestApp.exe > /dev/null

=== debian/changelog ===
eclipse-cdt (8.1.0+dfsg-2) unstable; urgency=low

  * Enable eclipse-cdt-autotools plugin.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 29 Jun 2012 11:51:21 +0200

eclipse-cdt (8.1.0+dfsg-1) unstable; urgency=low

  * Remove files generated out of texi documentation.
  * Update d/watch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 29 Jun 2012 11:29:38 +0200

eclipse-cdt (8.1.0-2) unstable; urgency=low

  * Bump versioned build dependency on debhelper to get better
    handling of architecture specific override targets.
  * Add versioned build dependency on dpkg-dev to get build-arch
    support.
  * Properly split build in architecture specific parts.  This
    works around a FTBFS on sparc and reduces the build time for
    doing architecture specific builds.

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Jun 2012 10:34:20 +0200

eclipse-cdt (8.1.0-1) unstable; urgency=low

  [ Jakub Adam ]
  * New upstream release.
  * Compile for Java 1.6.
  * Use default CPPFLAGS in jni library build.
    - Enables Fortify Source functions.

  [ Niels Thykier ]
  * Cherry-pick upstream patch for Eclipse Bug 382496.
  * Bump (Build-)Depends on eclipse to 3.8.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 23 Jun 2012 19:38:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
            Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 9.20120608~),
                default-jdk,
-               eclipse-pde (>= 3.7~exp),
+               dpkg-dev (>= 1.16.2~),
+               eclipse-pde (>= 3.8~),
                eclipse-rse,
                javahelper (>= 0.32~),
                unzip,
@@ -18,7 +19,7 @@
 
 Package: eclipse-cdt
 Architecture: all
-Depends: eclipse-platform (>= 3.7~exp),
+Depends: eclipse-platform (>= 3.8~),
          eclipse-rse,
          eclipse-cdt-jni (>= ${source:Version}),
          gcc,
@@ -63,3 +64,29 @@
  .
  This package contains architecture specific JNI libraries
 
+Package: eclipse-cdt-autotools
+Architecture: all
+Depends: eclipse-cdt (= ${source:Version}),
+         autoconf,
+         automake,
+         ${misc:Depends},
+         ${orbit:Depends}
+Description: Autotools support for Eclipse CDT
+ The Autotools suite of plugins adds to the CDT a support for building and
+ maintaining C/C++ projects that use Autotools. With this additional support,
+ a vast repository of C/C++ code can be checked out, built, and maintained
+ under the CDT rather easily without having to resort to the command line.
+ .
+ In conjunction with the CDT, the plugin can do the following:
+  * Build a C/C++ project that uses a configure script or an autogen
+    script or a Makefile.cvs script
+  * Create a simple C or C++ hello world Autotools project via a template
+  * Allow configuration parameters to be set via a gui and to rebuild when
+    configuration parameters are changed
+  * Colorized editing of configuration files such as configure.in, configure.ac,
+    Makefile.am, and Makefile.in with full hover help for autoconf/automake
+    macros
+  * Allow specification of multiple build configurations for a single project
+  * Run autotools such as autoconf, automake, or aclocal directly using a gui
+    interface
+  * Includes hover help for autoconf and automake macros in the editors

=== debian/rules ===
--- 
+++ 
@@ -38,19 +38,33 @@
 override_dh_auto_build:
 	# Do not use the auto-build with ant.
 
-override_jh_compilefeatures:
+MACROS_DIR=debian/.eclipse-build/org.eclipse.cdt.autotools.ui/macros
+override_jh_setupenvironment:
+	jh_setupenvironment
+	mkdir -p $(MACROS_DIR)
+	cd debian/docs && ./regenerateFromTexinfo.sh
+	cp debian/docs/acmacros-*.xml debian/docs/ammacros-*.xml $(MACROS_DIR)
+
+override_jh_compilefeatures-arch:
 	cd $(BUILD_DIR)/org.eclipse.cdt.core.linux/library && \
 		make JAVA_HOME="$(JAVA_HOME)" ARCH=$(ECLIPSE_BUILD_ARCH) CC='gcc -D_GNU_SOURCE' CFLAGS="$(CFLAGS) -fPIC" LDFLAGS="$(LDFLAGS) -fPIC"
-	jh_compilefeatures --build-opts="-DjavacTarget=1.5 -DjavacSource=1.5 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";
+
+override_jh_compilefeatures-indep:
+	jh_compilefeatures --build-opts="-DjavacTarget=1.6 -DjavacSource=1.6 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";
 
 jnidir := /usr/lib/$(DEB_HOST_MULTIARCH)/jni
-override_dh_install:
+
+override_dh_install-arch:
 	dh_install -peclipse-cdt-jni $(BUILD_DIR)/org.eclipse.cdt.core.linux.$(ECLIPSE_BUILD_ARCH)/os/linux/$(ECLIPSE_BUILD_ARCH)/*.so $(jnidir)
-	dh_install --remaining-packages
+	dh_install -a --remaining-packages
 
-override_jh_installeclipse:
+override_jh_installeclipse-indep:
 	jh_installeclipse
 	rm -f debian/eclipse-cdt/usr/share/eclipse/dropins/cdt/eclipse/plugins/org.eclipse.cdt.launch.remote.source*.jar
 
+override_dh_clean:
+	dh_clean
+	rm -rf debian/docs/*.xml
+
 get-orig-source:
 	debian/fetch-cdt.sh

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d?// \
http://www.eclipse.org/cdt/downloads.php \
http://www\.eclipse\.org/downloads/download\.php\?file=/tools/cdt/releases/.*/r/cdt-master-([\d\.]*)\.zip

## eclipse-cdt 8.1.2

=== debian/changelog ===
eclipse-cdt (8.1.2-2) unstable; urgency=low

  * Add Breaks/Replaces: eclipse-cdt (<< 8.1.2-1) into 
    eclipse-cdt-launch-remote to allow clean upgrades.
  * Let eclipse-cdt Suggest eclipse-cdt-autotools and 
    eclipse-cdt-launch-remote.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 04 Apr 2013 16:38:16 +0200

eclipse-cdt (8.1.2-1) experimental; urgency=low

  * New upstream release.
  * Use xz compression for orig tarball.
  * Package remote launch feature as a separate binary deb.
    - Doesn't force all CDT users to install about 5MB of eclipse-rse,
      only those who need remote launch capabilities will have to.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 15 Mar 2013 17:16:32 +0100

eclipse-cdt (8.1.1-1) experimental; urgency=low

  * New upstream release.
  * Rewritten obsolete d/fetch-cdt.sh.
  * Updated d/watch.
  * Removed d/patches/ebug-382496.patch (applied upstream).
  * Bump Standards-Version to 3.9.4.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 20 Dec 2012 12:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                javahelper (>= 0.32~),
                unzip,
                zip
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-java/eclipse-cdt.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse-cdt.git
 Homepage: http://www.eclipse.org/cdt/
@@ -20,13 +20,14 @@
 Package: eclipse-cdt
 Architecture: all
 Depends: eclipse-platform (>= 3.8~),
-         eclipse-rse,
          eclipse-cdt-jni (>= ${source:Version}),
          gcc,
          make,
          ${misc:Depends},
          ${orbit:Depends}
-Suggests: g++
+Suggests: g++,
+          eclipse-cdt-autotools,
+          eclipse-cdt-launch-remote
 Description: C/C++ Development Tools for Eclipse
  The eclipse-cdt package contains Eclipse features and plugins that are
  useful for C and C++ development.
@@ -90,3 +91,18 @@
   * Run autotools such as autoconf, automake, or aclocal directly using a gui
     interface
   * Includes hover help for autoconf and automake macros in the editors
+
+Package: eclipse-cdt-launch-remote
+Architecture: all
+Depends: eclipse-cdt (= ${source:Version}),
+         eclipse-rse,
+         ${misc:Depends},
+         ${orbit:Depends}
+Breaks: eclipse-cdt (<< 8.1.2-1)
+Replaces: eclipse-cdt (<< 8.1.2-1)
+Description: Remote launch and debug support for Eclipse CDT
+ The eclipse-cdt package contains Eclipse features and plugins that are
+ useful for C and C++ development.
+ .
+ This package allows one to upload and launch a C/C++ application on a remote
+ host machine from within CDT. Remote debugging is also supported.

=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 
 override_jh_installeclipse-indep:
 	jh_installeclipse
-	rm -f debian/eclipse-cdt/usr/share/eclipse/dropins/cdt/eclipse/plugins/org.eclipse.cdt.launch.remote.source*.jar
+	rm -f debian/eclipse-cdt-launch-remote/usr/share/eclipse/dropins/cdt-launch-remote/eclipse/plugins/org.eclipse.cdt.launch.remote.source*.jar
 
 override_dh_clean:
 	dh_clean

## eclipse-cdt 8.2.1

=== debian/changelog ===
eclipse-cdt (8.2.1-1) unstable; urgency=low

  * New upstream release.
  * Updated autotools documentation sources.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 03 Oct 2013 20:30:16 +0200

eclipse-cdt (8.2.0-2) unstable; urgency=low

  * Fix FTBFS with make 3.82 (Closes: #720832).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 27 Aug 2013 18:52:15 +0200

eclipse-cdt (8.2.0-1) unstable; urgency=low

  * New upstream release.
  * Updated automake documentation sources.
  * New binary package eclipse-cdt-qt.
  * Canonicalize Vcs-* fields of d/control.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 03 Jul 2013 10:31:52 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                unzip,
                zip
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-java/eclipse-cdt.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse-cdt.git
+Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-cdt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-cdt.git
 Homepage: http://www.eclipse.org/cdt/
 
 Package: eclipse-cdt
@@ -106,3 +106,12 @@
  .
  This package allows one to upload and launch a C/C++ application on a remote
  host machine from within CDT. Remote debugging is also supported.
+
+Package: eclipse-cdt-qt
+Architecture: all
+Depends: eclipse-cdt (= ${source:Version}),
+         ${misc:Depends},
+         ${orbit:Depends}
+Description: Qt framework support for Eclipse CDT
+ This package provides basic keyword highlighting and code completion for
+ development of C++ applications with Qt framework in Eclipse IDE.

## eclipse-cdt 8.3.0

=== core/org.eclipse.cdt.core.linux/library/Makefile ===
# makefile for libspawner.so

ifeq ($(JAVA_HOME),)
$(warning JAVA_HOME not set in environment)
endif

# Defaults which can be overridden.
OS = linux
ARCH = x86

JDK_INCLUDES= $(JAVA_HOME)/include
JDK_OS_INCLUDES= $(JAVA_HOME)/include/$(OS)

CC=gcc
CPPFLAGS = -I. -I$(JDK_INCLUDES) -I$(JDK_OS_INCLUDES)
CFLAGS +=-fpic -D_REENTRANT -D_GNU_SOURCE

INSTALL_DIR = ../../org.eclipse.cdt.core.linux.$(ARCH)/os/$(OS)/$(ARCH)

LIB_NAME_SPAWNER = libspawner.so
LIB_NAME_FULL_SPAWNER = $(INSTALL_DIR)/libspawner.so
OBJS_SPAWNER=spawner.o io.o exec_unix.o exec_pty.o pfind.o openpty.o

LIB_NAME_PTY = libpty.so
LIB_NAME_FULL_PTY = $(INSTALL_DIR)/libpty.so
OBJS_PTY= openpty.o pty.o ptyio.o

OBJS = $(OBJS_SPAWNER) $(OBJS_PTY)

all: $(LIB_NAME_FULL_SPAWNER) $(LIB_NAME_FULL_PTY)

rebuild: clean all

$(LIB_NAME_FULL_SPAWNER) : $(OBJS_SPAWNER)
	mkdir -p $(INSTALL_DIR)
	$(CC) -g -shared -Wl,-soname,$(LIB_NAME_SPAWNER) $(LDFLAGS) -o $(LIB_NAME_FULL_SPAWNER) $(OBJS_SPAWNER) -lc

$(LIB_NAME_FULL_PTY): $(OBJS_PTY)
	mkdir -p $(INSTALL_DIR)
	$(CC) -g -shared -Wl,-soname,$(LIB_NAME_PTY) $(LDFLAGS) -o $(LIB_NAME_FULL_PTY) $(OBJS_PTY)

clean :
	$(RM) $(OBJS_SPAWNER) $(LIB_NAME_FULL_SPAWNER)
	$(RM) $(OBJS_PTY) $(LIB_NAME_FULL_PTY)

=== core/org.eclipse.cdt.core.macosx/library/Makefile ===
#*******************************************************************************
# Copyright (c) 2002, 2009 QNX Software Systems and others.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#     QNX Software Systems - initial API and implementation
#     Alex Blewitt - MacOSX with a 64-bit vm 
#*******************************************************************************/

# makefile for libspawner.so
# See http://developer.apple.com/documentation/Java/Conceptual/Java141Development/Core_APIs/chapter_6_section_4.html

JAVA_HOME = /Library/Java/Home
ifeq ($(JAVA_HOME),)
$(warning JAVA_HOME not set in environment)
endif

# Defaults which can be overridden.
OS = macosx
ARCH_PPC = ppc
ARCH_X86 = x86
ARCH_X86_64 = x86_64

JDK_INCLUDES= $(JAVA_HOME)/include

CC=gcc
LD=libtool
CPPFLAGS = -I. -I$(JDK_INCLUDES) #-I$(JDK_OS_INCLUDES)
CFLAGS +=-fPIC -D_REENTRANT

ARCH_FLAG_PPC = -arch ppc
ARCH_FLAG_X86 = -arch i386
ARCH_FLAG_X86_64 = -arch x86_64

INSTALL_DIR_PPC = ../os/$(OS)/$(ARCH_PPC)
INSTALL_DIR_X86 = ../os/$(OS)/$(ARCH_X86)
INSTALL_DIR_X86_64 = ../os/$(OS)/$(ARCH_X86_64)

LIB_NAME_SPAWNER = libspawner.dylib
LIB_NAME_FULL_SPAWNER_PPC = $(INSTALL_DIR_PPC)/libspawner.jnilib
LIB_NAME_FULL_SPAWNER_X86 = $(INSTALL_DIR_X86)/libspawner.jnilib
LIB_NAME_FULL_SPAWNER_X86_64 = $(INSTALL_DIR_X86_64)/libspawner.jnilib
OBJS_SPAWNER_PPC = spawner_$(ARCH_PPC).o \
                   io_$(ARCH_PPC).o \
                   exec_unix_$(ARCH_PPC).o \
                   exec_pty_$(ARCH_PPC).o \
                   openpty_$(ARCH_PPC).o \
                   pfind_$(ARCH_PPC).o
OBJS_SPAWNER_X86 = spawner_$(ARCH_X86).o \
                   io_$(ARCH_X86).o \
                   exec_unix_$(ARCH_X86).o \
                   exec_pty_$(ARCH_X86).o \
                   openpty_$(ARCH_X86).o \
                   pfind_$(ARCH_X86).o
OBJS_SPAWNER_X86_64 = spawner_$(ARCH_X86_64).o \
                   io_$(ARCH_X86_64).o \
                   exec_unix_$(ARCH_X86_64).o \
                   exec_pty_$(ARCH_X86_64).o \
                   openpty_$(ARCH_X86_64).o \
                   pfind_$(ARCH_X86_64).o

LIB_NAME_PTY = libpty.so
LIB_NAME_FULL_PTY_PPC = $(INSTALL_DIR_PPC)/libpty.jnilib
LIB_NAME_FULL_PTY_X86 = $(INSTALL_DIR_X86)/libpty.jnilib
LIB_NAME_FULL_PTY_X86_64 = $(INSTALL_DIR_X86_64)/libpty.jnilib
OBJS_PTY_PPC = openpty_$(ARCH_PPC).o pty_$(ARCH_PPC).o ptyio_$(ARCH_PPC).o
OBJS_PTY_X86 = openpty_$(ARCH_X86).o pty_$(ARCH_X86).o ptyio_$(ARCH_X86).o
OBJS_PTY_X86_64 = openpty_$(ARCH_X86_64).o pty_$(ARCH_X86_64).o ptyio_$(ARCH_X86_64).o

OBJS_PPC = $(OBJS_SPAWNER_PPC) $(OBJS_PTY_PPC)
OBJS_X86 = $(OBJS_SPAWNER_X86) $(OBJS_PTY_X86)
OBJS_X86_64 = $(OBJS_SPAWNER_X86_64) $(OBJS_PTY_X86_64)

all: ppc x86 x86_64

ppc: $(LIB_NAME_FULL_SPAWNER_PPC) $(LIB_NAME_FULL_PTY_PPC)

x86: $(LIB_NAME_FULL_SPAWNER_X86) $(LIB_NAME_FULL_PTY_X86)

x86_64: $(LIB_NAME_FULL_SPAWNER_X86_64) $(LIB_NAME_FULL_PTY_X86_64)

rebuild: clean all

$(LIB_NAME_FULL_SPAWNER_PPC) : $(OBJS_SPAWNER_PPC)
	mkdir -p $(INSTALL_DIR_PPC)
	$(CC) -dynamiclib $(ARCH_FLAG_PPC) -o $(LIB_NAME_FULL_SPAWNER_PPC) $(OBJS_SPAWNER_PPC) -lc -framework JavaVM

$(LIB_NAME_FULL_SPAWNER_X86) : $(OBJS_SPAWNER_X86)
	mkdir -p $(INSTALL_DIR_X86)
	$(CC) -dynamiclib $(ARCH_FLAG_X86) -o $(LIB_NAME_FULL_SPAWNER_X86) $(OBJS_SPAWNER_X86) -lc -framework JavaVM

$(LIB_NAME_FULL_SPAWNER_X86_64) : $(OBJS_SPAWNER_X86_64)
	mkdir -p $(INSTALL_DIR_X86_64)
	$(CC) -dynamiclib $(ARCH_FLAG_X86_64) -o $(LIB_NAME_FULL_SPAWNER_X86_64) $(OBJS_SPAWNER_X86_64) -lc -framework JavaVM

$(LIB_NAME_FULL_PTY_PPC): $(OBJS_PTY_PPC)
	mkdir -p $(INSTALL_DIR_PPC)
	$(CC) -dynamiclib  $(ARCH_FLAG_PPC) -o $(LIB_NAME_FULL_PTY_PPC) $(OBJS_PTY_PPC) -lc -framework JavaVM

$(LIB_NAME_FULL_PTY_X86): $(OBJS_PTY_X86)
	mkdir -p $(INSTALL_DIR_X86)
	$(CC) -dynamiclib  $(ARCH_FLAG_X86) -o $(LIB_NAME_FULL_PTY_X86) $(OBJS_PTY_X86) -lc -framework JavaVM

$(LIB_NAME_FULL_PTY_X86_64): $(OBJS_PTY_X86_64)
	mkdir -p $(INSTALL_DIR_X86_64)
	$(CC) -dynamiclib  $(ARCH_FLAG_X86_64) -o $(LIB_NAME_FULL_PTY_X86_64) $(OBJS_PTY_X86_64) -lc -framework JavaVM

spawner_$(ARCH_PPC).o: spawner.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ spawner.c

io_$(ARCH_PPC).o: io.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ io.c

exec_unix_$(ARCH_PPC).o: exec_unix.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ exec_unix.c

exec_pty_$(ARCH_PPC).o: exec_pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ exec_pty.c

openpty_$(ARCH_PPC).o: openpty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ openpty.c

pfind_$(ARCH_PPC).o: pfind.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ pfind.c

openpty_$(ARCH_PPC).o: openpty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ openpty.c

pty_$(ARCH_PPC).o: pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ pty.c

ptyio_$(ARCH_PPC).o: ptyio.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_PPC) $(CPPFLAGS) -c -o $@ ptyio.c

spawner_$(ARCH_X86).o: spawner.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ spawner.c

io_$(ARCH_X86).o: io.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ io.c

exec_unix_$(ARCH_X86).o: exec_unix.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ exec_unix.c

exec_pty_$(ARCH_X86).o: exec_pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ exec_pty.c

openpty_$(ARCH_X86).o: openpty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ openpty.c

pfind_$(ARCH_X86).o: pfind.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ pfind.c

pty_$(ARCH_X86).o: pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ pty.c

ptyio_$(ARCH_X86).o: ptyio.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ ptyio.c

spawner_$(ARCH_X86_64).o: spawner.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ spawner.c

io_$(ARCH_X86_64).o: io.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ io.c

exec_unix_$(ARCH_X86_64).o: exec_unix.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ exec_unix.c

exec_pty_$(ARCH_X86_64).o: exec_pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ exec_pty.c

openpty_$(ARCH_X86_64).o: openpty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ openpty.c

pfind_$(ARCH_X86_64).o: pfind.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ pfind.c

pty_$(ARCH_X86_64).o: pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ pty.c

ptyio_$(ARCH_X86_64).o: ptyio.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ ptyio.c

clean :
	$(RM) $(OBJS_PPC) $(LIB_NAME_FULL_SPAWNER_PPC) $(LIB_NAME_FULL_PTY_PPC)
	$(RM) $(OBJS_X86) $(LIB_NAME_FULL_SPAWNER_X86) $(LIB_NAME_FULL_PTY_X86)
	$(RM) $(OBJS_X86_64) $(LIB_NAME_FULL_SPAWNER_X86_64) $(LIB_NAME_FULL_PTY_X86_64)

=== core/org.eclipse.cdt.core.win32/library/winreg/Makefile ===
ifeq ($(JAVA_HOME),)
$(error JAVA_HOME not set in environment)
endif

TARGET = $(INSTALL_DIR)/winreg.dll

OBJS = winreg.o

OS = win32
ARCH = x86

JDK_INCLUDES = "$(JAVA_HOME)/include"
JDK_OS_INCLUDES = "$(JAVA_HOME)/include/$(OS)"

CXX = g++
CXXFLAGS = -DUNICODE -I$(JDK_INCLUDES) -I$(JDK_OS_INCLUDES)

INSTALL_DIR = ../../../org.eclipse.cdt.core.$(OS).$(ARCH)/os/$(OS)/$(ARCH)

all: $(TARGET)

rebuild: clean all

clean :
	$(RM) $(OBJS)

$(TARGET) : $(OBJS)
	$(CXX) -Wl,--kill-at -shared -o $(TARGET) $(OBJS)

=== dsf-gdb/org.eclipse.cdt.tests.dsf.gdb/data/launch/src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 src = $(wildcard *.cc *.c)
 destDir = ../bin
-GCCFLAGS = -gdwarf-2 -pthread -m32
+GCCFLAGS = -gdwarf-2 -pthread
 
 all:
 	@mkdir -p $(destDir)

=== core/org.eclipse.cdt.core.tests/resources/testlib/x86/so.g/Makefile ===
include ../../common.mk

=== debian/changelog ===
eclipse-cdt (8.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated autotools documentation sources.
  * Removed unused Lintian overrides.
  * Bump Standards-Version to 3.9.5.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 01 Mar 2014 10:10:30 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                javahelper (>= 0.32~),
                unzip,
                zip
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-cdt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-cdt.git
 Homepage: http://www.eclipse.org/cdt/

=== debian/rules ===
--- 
+++ 
@@ -28,9 +28,12 @@
 
 BUILD_DIR:=debian/.eclipse-build
 
+%:
+	dh $@ --with eclipse-helper
+
+# There is 'build' directory in the source tree colliding with 'build' target
 .PHONY: build
-
-build %:
+build:
 	dh $@ --with eclipse-helper
 
 override_dh_auto_clean:

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d?// \
http://git.eclipse.org/c/cdt/org.eclipse.cdt.git/refs/ \
/c/cdt/org.eclipse.cdt.git/snapshot/CDT_(\d+)_(\d+)_(\d+).tar.bz2

## eclipse-cdt 8.4.0

=== debian/changelog ===
eclipse-cdt (8.4.0-1) unstable; urgency=medium

  [ Jakub Adam ]
  * New upstream release.
  * Build with javac target 1.7.
  * Add eclipse-remote-services-api to Build-Depends.
  * Override codeless-jar and incompatible-java-bytecode-format Lintian
    warnings.

  [ tony mancill ]
  * Bump version of default-jdk dependency to (>= 2:1.7)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 26 Jul 2014 11:21:24 +0200

eclipse-cdt (8.3.0-3) unstable; urgency=medium

  * Team upload.
  * Fixed a build failure with Java 8

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 27 Jun 2014 00:19:08 +0200

eclipse-cdt (8.3.0-2) unstable; urgency=medium

  * Build-Depends on default-jdk (>= 2:1.6) (Closes: #743234)
    - disables build on architectures with gcj-jdk as their default JDK.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 12 May 2014 18:38:56 +0200

## eclipse-cdt 8.5.0

=== debian/changelog ===
eclipse-cdt (8.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 28 Sep 2014 14:11:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Niels Thykier <niels@thykier.net>,
            Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends: debhelper (>= 9.20120608~),
-               default-jdk,
+               default-jdk (>= 2:1.7),
                dpkg-dev (>= 1.16.2~),
                eclipse-pde (>= 3.8~),
+               eclipse-remote-services-api,
                eclipse-rse,
                javahelper (>= 0.32~),
                unzip,
@@ -68,6 +69,7 @@
 Package: eclipse-cdt-autotools
 Architecture: all
 Depends: eclipse-cdt (= ${source:Version}),
+         eclipse-remote-services-api,
          autoconf,
          automake,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 		make JAVA_HOME="$(JAVA_HOME)" ARCH=$(ECLIPSE_BUILD_ARCH) CC='gcc -D_GNU_SOURCE' CFLAGS="$(CFLAGS) -fPIC" LDFLAGS="$(LDFLAGS) -fPIC"
 
 override_jh_compilefeatures-indep:
-	jh_compilefeatures --build-opts="-DjavacTarget=1.6 -DjavacSource=1.6 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";
+	jh_compilefeatures --build-opts="-DjavacTarget=1.7 -DjavacSource=1.7 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";
 
 jnidir := /usr/lib/$(DEB_HOST_MULTIARCH)/jni

## eclipse-cdt 8.6.0

=== core/org.eclipse.cdt.core.aix/library/Makefile ===
# makefile for libspawner.so

#set JDK_INCLUDES
JDK_INCLUDES=/opt/ibm-jdk1.4.2/include
RM=rm
CC=xlc
CFLAGS = -I. -I$(JDK_INCLUDES)
#CFLAGS +=-fpic  -D_REENTRANT

LIB_NAME_SPAWNER = libspawner.so
LIB_NAME_FULL_SPAWNER = ../os/aix/ppc/libspawner.so
OBJS_SPAWNER=spawner.o io.o exec_unix.o exec_pty.o openpty.o pfind.o

LIB_NAME_PTY = libpty.so
LIB_NAME_FULL_PTY = ../os/aix/ppc/libpty.so
OBJS_PTY=openpty.o pty.o ptyio.o

all: $(LIB_NAME_FULL_SPAWNER) $(LIB_NAME_FULL_PTY)

$(LIB_NAME_FULL_SPAWNER): $(OBJS_SPAWNER)
	mkdir -p ../os/aix/ppc
	$(CC) -G -o $(LIB_NAME_FULL_SPAWNER) $(OBJS_SPAWNER) -lc

$(LIB_NAME_FULL_PTY): $(OBJS_PTY)
	$(CC) -G -o $(LIB_NAME_FULL_PTY) $(OBJS_PTY)

clean :
	$(RM) $(OBJS_SPAWNER) $(LIB_NAME_FULL_SPAWNER)
	$(RM) $(OBJS_PTY) $(LIB_NAME_FULL_PTY)

=== core/org.eclipse.cdt.core.qnx/library/Makefile ===
LIST=ALL
ifndef QRECURSE
QRECURSE=recurse.mk
ifdef QCONFIG
QRDIR=$(dir $(QCONFIG))
endif
endif
include $(QRDIR)$(QRECURSE)

=== build/org.eclipse.cdt.managedbuilder.gnu.ui/templates/projecttemplates/MakefileHelloWorldCCProject/Makefile ===
CXXFLAGS =	-O2 -g -Wall -fmessage-length=0

OBJS =		{{baseName}}.o

LIBS =

TARGET =	{{baseName}}{{exe}}

$(TARGET):	$(OBJS)
	$(CXX) -o $(TARGET) $(OBJS) $(LIBS)

all:	$(TARGET)

clean:
	rm -f $(OBJS) $(TARGET)

=== dsf-gdb/org.eclipse.cdt.tests.dsf.gdb/data/launch/src/Makefile ===
BINDIR = ../bin
SRC_C = $(wildcard *.c)
SRC_CXX = $(wildcard *.cc)

# We rebuild everything whenever one of the headers change
HEADERS = $(wildcard *.h)

# Use .exe extension so that files are named the same way in Linux and Windows.
BINS = $(patsubst %.c,$(BINDIR)/%.exe,$(SRC_C)) $(patsubst %.cc,$(BINDIR)/%.exe,$(SRC_CXX))
COREFILE = $(BINDIR)/core

CC = gcc
CXX = g++

CFLAGS = -g3 -O0
CXXFLAGS = -g3 -O0

# Don't try to use pthread on Windows
# The OS environment variable exists on Windows
ifneq ($(OS),Windows_NT)
	CFLAGS += -pthread
	CXXFLAGS += -pthread
endif

MKDIR = mkdir -p
RM = rm -f
RMDIR = rmdir

.PHONY: all clean

all: $(BINS) $(COREFILE)

$(BINDIR):
	$(MKDIR) $@

$(BINDIR)/%.exe: %.c $(HEADERS) | $(BINDIR)
	$(CC) $(CFLAGS) -o $@ $<

$(BINDIR)/%.exe: %.cc $(HEADERS) | $(BINDIR)
	$(CXX) $(CXXFLAGS) -o $@ $<

# Generate a core file that is needed for post-morted core-file tests
$(COREFILE): $(BINDIR)/ExpressionTestApp.exe | $(BINDIR)
	gdb -nx --batch -ex 'b testLocals' -ex 'run' --ex 'next 16' \
		-ex 'gcore ../bin/core' $(BINDIR)/ExpressionTestApp.exe > /dev/null

clean:
	$(RM) -r $(BINDIR)

=== debian/changelog ===
eclipse-cdt (8.6.0-2) unstable; urgency=medium

  * Team upload.
  * Depend on eclipse-pde >= 3.8.1-9 to fix the build failure with Java 8
    (Closes: #817880)
  * Removed the unused Lintian overrides
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs
  * Fixed the watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Oct 2016 22:35:34 +0200

eclipse-cdt (8.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Override incompatible-java-bytecode-format Lintian warning.
  * Remove Niels Thykier from Uploaders (Closes: #770558).
  * Require eclipse >= 3.8.1-8
    - CDT needs libicu4j-49-java for correct working of the debugger
      integration.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 27 Feb 2015 23:27:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Niels Thykier <niels@thykier.net>,
-           Jakub Adam <jakub.adam@ktknet.cz>
+Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends: debhelper (>= 9.20120608~),
                default-jdk (>= 2:1.7),
                dpkg-dev (>= 1.16.2~),
-               eclipse-pde (>= 3.8~),
+               eclipse-pde (>= 3.8.1-9),
                eclipse-remote-services-api,
                eclipse-rse,
                javahelper (>= 0.32~),
                unzip,
                zip
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-cdt.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-cdt.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/eclipse-cdt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/eclipse-cdt.git
 Homepage: http://www.eclipse.org/cdt/
 
 Package: eclipse-cdt

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d?// \
http://git.eclipse.org/c/cdt/org.eclipse.cdt.git/refs/ \
/c/cdt/org.eclipse.cdt.git/snapshot/CDT_(\d+)_(\d+)_(\d+).tar.gz
